Package uk.ac.starlink.vo

# Class TapSchemaInterrogator.MetaQuerier<T>

java.lang.Object
uk.ac.starlink.vo.TapSchemaInterrogator.MetaQuerier<T>

Type Parameters:
  `T` - metadata object type that this class can obtain

Enclosing class:
  `TapSchemaInterrogator`

public abstract static class TapSchemaInterrogator.MetaQuerier<T> extends Object
Object that can read a certain type of TAP metadata object from a table of a TAP_SCHEMA database table. Instances are provided as static members of the enclosing `TapSchemaInterrogator` class.

## Method Summary

Modifier and Type
Method
Description
`String`
`getTableName()`
Returns the name of the TAP database table from the rows of which each metadata item can be read.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTableName

public String getTableName()
Returns the name of the TAP database table from the rows of which each metadata item can be read.

Returns:
  TAP_SCHEMA table name